LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XAppDispatchProvider Interface Reference

`import <XAppDispatchProvider.idl;`

Inheritance diagram for XAppDispatchProvider:

## Exported Interfaces
interface | XDispatchInformationProvider
interface | XDispatchProvider

## Additional Inherited Members
Public Member Functions inherited from XDispatchInformationProvider
sequence< short > | getSupportedCommandGroups ()
| returns all supported command groups.
sequence< DispatchInformation > | getConfigurableDispatchInformation ([in] short CommandGroup)
| returns additional information about supported commands of a given command group.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame.
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.

## Detailed Description

Since
  LibreOffice 4.2

## Exported Interfaces

## ◆ XDispatchInformationProvider

interface XDispatchInformationProvider

## ◆ XDispatchProvider

interface XDispatchProvider

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XAppDispatchProvider.idl